
// protocol.h

#include <windows.h>

#ifndef PROTOCOL_H
#define PROTOCOL_H

#define VERSION "1.0"

// includes

#include "util.h"

// variables

extern CRITICAL_SECTION CriticalSection;

extern int NumberThreads;

// functions

extern void loop  ();
extern void event ();
extern void book_parameter();
extern void profile();
extern void init_threads(bool call_option);

extern void get   (char string[], int size);
extern void send  (const char format[], ...);

#endif // !defined PROTOCOL_H

// end of protocol.h

